import * as react_jsx_runtime from 'react/jsx-runtime';
import { CSSProperties } from 'react';

declare const confirmationType: {
    retry: {
        loading: string;
        message: string;
    };
    abort: {
        loading: string;
        message: string;
    };
    chartRemoval: {
        loading: string;
        message: string;
    };
    decommissioning: {
        loading: string;
        message: string;
    };
    deploymentContinuation: {
        loading: string;
        message: string;
    };
    deploymentAbort: {
        loading: string;
        message: string;
    };
    integrationRemoval: {
        loading: string;
        message: string;
    };
    webhooksRemoval: {
        loading: string;
        message: string;
    };
};
interface ConfirmProps {
    action: () => void;
    cancel: () => void;
    classes?: string;
    message?: string;
    style?: CSSProperties;
    type: keyof typeof confirmationType;
}
declare const Confirm: ({ action, cancel, classes, message, style, type }: ConfirmProps) => react_jsx_runtime.JSX.Element;
declare const EditButton: ({ onClick, disabled }: {
    onClick: any;
    disabled?: boolean | undefined;
}) => react_jsx_runtime.JSX.Element;
declare const ConfirmationButtons: ({ onConfirm, onCancel }: {
    onConfirm: any;
    onCancel: any;
}) => react_jsx_runtime.JSX.Element;

export { Confirm, ConfirmationButtons, EditButton, confirmationType, Confirm as default };
